boost_variant.hpp File Reference
Support for Serializing Various Types » Miscellaneous Types Support

Support for boost::variant. More...

`#include <cereal/cereal.hpp>`
`#include <boost/variant.hpp>`
`#include <boost/mpl/size.hpp>`

Go to the source code of this file.

## Classes

struct | cereal::variant_detail::variant_save_visitor< Archive >

## Functions

template<int N, class Variant , class... Args, class Archive >
std::enable_if< N==boost::mpl::size< typename Variant::types >::value, void >::type | cereal::variant_detail::load_variant (Archive &, int, Variant &)
template<class Archive , typename... VariantTypes>
void | cereal::CEREAL_SAVE_FUNCTION_NAME (Archive &ar, boost::variant< VariantTypes... > const &variant)
| Saving for boost::variant.
template<class Archive , typename... VariantTypes>
void | cereal::CEREAL_LOAD_FUNCTION_NAME (Archive &ar, boost::variant< VariantTypes... > &variant)
| Loading for boost::variant.

## Detailed Description

Support for boost::variant.